package ru.yandex.webmaster3.storage.events.data.events;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.storage.events.data.AbstractWMCEventContent;
import ru.yandex.webmaster3.storage.events.data.WMCEventType;

/**
 * Created by Oleg Bazdyrev on 20/06/2018.
 * Обновление алертов турбо для домена
 */
public class UpdateTurboProblemsEvent extends AbstractWMCEventContent {

    private final String domain;

    @JsonCreator
    public UpdateTurboProblemsEvent(@JsonProperty("domain") String domain) {
        super(WMCEventType.UPDATE_TURBO_PROBLEMS);
        this.domain = domain;
    }

    public String getDomain() {
        return domain;
    }
}
